import { Injectable } from '@angular/core';
import { Observable } from "rxjs";
import { HttpClient, HttpHeaders, HttpParams, } from "@angular/common/http";
import { ApiRequestService } from "src/app/services/api/api-request.service";
import { environment } from 'src/environments/environment';
@Injectable({
  providedIn: 'root'
})
export class Add_new_subscriptionservice{
  private baseURL = "Add_new_subscription/Add_new_subscription" ;  constructor(
    private http: HttpClient,
    private apiRequest: ApiRequestService,
  ) { }
  getAll(page?: number, size?: number): Observable<any> {
    return this.apiRequest.get(this.baseURL);
  }
  getById(id: number): Observable<any> {
    const _http = this.baseURL + "/" + id;
    return this.apiRequest.get(_http);
  }
  create(data: any): Observable<any> {
    return this.apiRequest.post(this.baseURL, data);
  }
  update(id: number, data: any): Observable<any> {
    const _http = this.baseURL + "/" + id;
    return this.apiRequest.put(_http, data);
  }
  delete(id: number): Observable<any> {
    const _http = this.baseURL + "/" + id;
    return this.apiRequest.delete(_http);
  }






getAllduration(): Observable<any> {   
return this.apiRequest.get("Duration_type_ListFilter1/Duration_type_ListFilter1");  }

getAlltype(): Observable<any> {   
return this.apiRequest.get("Subscription_type_ListFilter1/Subscription_type_ListFilter1");  }

getAllcategory(): Observable<any> {   
return this.apiRequest.get("Category_ListFilter1/Category_ListFilter1");  }





// updateaction
}